Bug 809367 - PEERNTP option is not documented
PEERNTP option is not documented
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-03 04:17 EDT by Petr Pisar
Modified: 2014-03-16 23:30 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 21:06:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2012-04-03 04:17:46 EDT
DHCP server on my network supplies list of NTP servers. But I do not want to use them. I prefer different time server.

According my research, NetworkManager executes all executable /etc/dhcp/dhclient.d/* scripts. If I remove executable bit from /etc/dhcp/dhclient.d/ntp.sh, I get the bit again on ntp update/reinstallation.

I propose to put /etc/dhcp/dhclient.d/ntp.sh into separate sub-package (or to fiddle with %config macro in %files section) to allow administrator to ignore NTP servers provided by DHCP.
Comment 1 Miroslav Lichvar 2012-04-03 04:39:27 EDT
The NTP servers provided by dhcp can be ignored by setting PEERNTP=no anywhere in the sourced network scripts (e.g. /etc/sysconfig/network).
Comment 2 Petr Pisar 2012-04-03 04:47:52 EDT
I will give a try.

Where did you find this option? I could not find in documentation (/usr/share/doc/initscripts-9.34.2/sysconfig.txt).
Comment 3 Miroslav Lichvar 2012-04-03 04:54:51 EDT
You can see it in the /etc/dhcp/dhclient.d/ntp.sh script. I think it used to be a dhclient option.
Comment 4 Petr Pisar 2012-04-03 04:59:23 EDT
I confirm putting this option into /etc/sysconfig/network works.

I will reassign this documentation deficiency to initscripts.
Comment 5 Bill Nottingham 2012-04-10 15:19:46 EDT
Having initscripts be the source of documentation for any package that happens to drop a file in dhclient.d seems inefficient.
Comment 6 Fedora End Of Life 2013-02-13 21:07:05 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.